Package org.drinkless.tdlib

# Class TdApi.WriteGeneratedFilePart

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.WriteGeneratedFilePart

Enclosing class:
  `TdApi`

public static class TdApi.WriteGeneratedFilePart extends TdApi.Function<TdApi.Ok>
Writes a part of a generated file. This method is intended to be used only if the application has no direct access to TDLib's file system, because it is usually slower than a direct write to the destination file.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `data`
  The data to write.
  `long`
  `generationId`
  The identifier of the generation process.
  `long`
  `offset`
  The offset from which to write the data to the file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WriteGeneratedFilePart()`
  Default constructor for a function, which writes a part of a generated file.
  `WriteGeneratedFilePart(long generationId, long offset, byte[] data)`
  Creates a function, which writes a part of a generated file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### generationId

    public long generationId
    The identifier of the generation process.

  - ### offset

    public long offset
    The offset from which to write the data to the file.

  - ### data

    public byte[] data
    The data to write.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WriteGeneratedFilePart

    public WriteGeneratedFilePart()
    Default constructor for a function, which writes a part of a generated file. This method is intended to be used only if the application has no direct access to TDLib's file system, because it is usually slower than a direct write to the destination file.

    Returns `Ok`

  - ### WriteGeneratedFilePart

    public WriteGeneratedFilePart(long generationId, long offset, byte[] data)
    Creates a function, which writes a part of a generated file. This method is intended to be used only if the application has no direct access to TDLib's file system, because it is usually slower than a direct write to the destination file.

    Returns `Ok`

    Parameters:
      `generationId` - The identifier of the generation process.
      `offset` - The offset from which to write the data to the file.
      `data` - The data to write.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR